Bug 109815 - [WK2][EFL][GTK][Qt] Add context menu item tags for C API
Summary: [WK2][EFL][GTK][Qt] Add context menu item tags for C API
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit2 (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC Linux
: P2 Normal
Assignee: Michal Pakula vel Rutka
URL:
Keywords:
Depends on:
Blocks: 109698
  Show dependency treegraph
 
Reported: 2013-02-14 04:55 PST by Michal Pakula vel Rutka
Modified: 2013-02-22 00:57 PST (History)
1 user (show)

See Also:


Attachments
proposed patch (2.98 KB, patch)
2013-02-14 05:09 PST, Michal Pakula vel Rutka
no flags Details | Formatted Diff | Diff
fixes (4.99 KB, patch)
2013-02-21 06:01 PST, Michal Pakula vel Rutka
andersca: review+
webkit.review.bot: commit-queue-
Details | Formatted Diff | Diff
rebased (4.95 KB, patch)
2013-02-22 00:06 PST, Michal Pakula vel Rutka
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michal Pakula vel Rutka 2013-02-14 04:55:55 PST
Context menu item tags used by EFL, GTK and Qt ports defined in WebCore does not have their WK2 C API counterparts.
Comment 1 Michal Pakula vel Rutka 2013-02-14 05:09:05 PST
Created attachment 188327 [details]
proposed patch
Comment 2 Gyuyoung Kim 2013-02-20 06:53:55 PST
Comment on attachment 188327 [details]
proposed patch

View in context: https://bugs.webkit.org/attachment.cgi?id=188327&action=review

> Source/WebKit2/Shared/API/c/WKSharedAPICast.h:495
> +    case WebCore::ContextMenuItemTagCopyImageUrlToClipboard:

Don't you need to list these macros in order of WebCore ContextMenuAction ?
Comment 3 Michal Pakula vel Rutka 2013-02-20 07:41:59 PST
Comment on attachment 188327 [details]
proposed patch

View in context: https://bugs.webkit.org/attachment.cgi?id=188327&action=review

>> Source/WebKit2/Shared/API/c/WKSharedAPICast.h:495
>> +    case WebCore::ContextMenuItemTagCopyImageUrlToClipboard:
> 
> Don't you need to list these macros in order of WebCore ContextMenuAction ?

I can move the ones added by me, but currently not all tags are in the same order as in WebCore.
Comment 4 Michal Pakula vel Rutka 2013-02-21 06:01:22 PST
Created attachment 189514 [details]
fixes

fixed order to match one in WebCore::ContextMenuAction enum and added OpenLinkInThisWindow tag
Comment 5 WebKit Review Bot 2013-02-21 23:47:57 PST
Comment on attachment 189514 [details]
fixes

Rejecting attachment 189514 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '--bot-id=gce-cq-03', 'land-attachment', '--force-clean', '--non-interactive', '--parent-command=commit-queue', 189514, '--port=chromium-xvfb']" exit_code: 2 cwd: /mnt/git/webkit-commit-queue

Last 500 characters of output:

fatal: read error: Connection reset by peer
Died at Tools/Scripts/update-webkit line 151.

Failed to run "['Tools/Scripts/update-webkit', '--chromium', '--force-update']" exit_code: 2

Updating OpenSource
fatal: read error: Connection reset by peer
Died at Tools/Scripts/update-webkit line 151.

Failed to run "['Tools/Scripts/update-webkit', '--chromium', '--force-update']" exit_code: 2
Updating OpenSource
fatal: read error: Connection reset by peer
Died at Tools/Scripts/update-webkit line 151.

Full output: http://queues.webkit.org/results/16697653
Comment 6 Michal Pakula vel Rutka 2013-02-22 00:06:37 PST
Created attachment 189703 [details]
rebased
Comment 7 WebKit Review Bot 2013-02-22 00:57:03 PST
Comment on attachment 189703 [details]
rebased

Clearing flags on attachment: 189703

Committed r143700: <http://trac.webkit.org/changeset/143700>
Comment 8 WebKit Review Bot 2013-02-22 00:57:07 PST
All reviewed patches have been landed.  Closing bug.